cd c:\regression

use example_chapter4

*descriptive statistics 

summarize income labor, detail

tabulate academic


*making dummy variables for region

generate ba_dummy=0
replace ba_dummy=1 if academic=="BA"
generate jd_dummy =0
replace jd_dummy=1 if academic=="JD"
generate phd_dummy=0
replace phd_dummy=1 if academic=="PhD"

*correlation among X's

corr labor phd_dummy jd_dummy

*multiple regression with BA as reference category Y = income X = labor phd_dummy jd_dummy

regress income labor phd_dummy jd_dummy


*partial model Y = income  X = labor

regress income labor

*multiple regression with PhD as reference category Y = income X = labor phd_dummy jd_dummy

regress income labor ba_dummy jd_dummy

* making interaction varaibles 
generate inter1 = labor*phd_dummy
generate inter2 = labor*jd_dummy

*multiple regression with BA as reference category with interactions Y = income X = labor phd_dummy jd_dummy

regress income labor phd_dummy jd_dummy inter1 inter2 
